AnyEvent::FTP::Server::OS::UNIX(3pm)

NAME
AnyEvent::FTP::Server::OS::UNIX - UNIX implementations for AnyEvent::FTP

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Server::OS::UNIX;

 # interface using user fred
 my $unix = AnyEvent::FTP::Server::OS::UNIX->new('fred');
 $unix->jail;            # chroot
 $unix->drop_privileges; # transform into user fred

DESCRIPTION
This class provides some utility functionality for interacting with the UNIX and UNIX like operating systems.

ATTRIBUTES

  name
The user's username

  uid
The user's UID

  gid
The user's GID

  home
The user's home directory

  shell
The user's shell

  groups
List of groups (as GIDs) that the user also belongs to.

METHODS

  jail
 $unix->jail;

"chroot" to the users' home directory. Requires root and the chroot function.

  drop_privileges
 $unix->drop_privileges;

Drop super user privileges

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.